[USRP-users] USRP UHD Library Release suggestion

Martin Braun martin.braun at ettus.com
Fri Apr 17 11:14:24 EDT 2015


Hi Hossein,

the requirement to install VC runtime is actually quite common, and if 
we included it in our binaries, they'd become huge. Also, if you're a 
developer there's a high chance those runtimes are already installed, 
and for a lot of our users, that's true.

As for Boost, there's no reason for us to update that unless we run into 
bugs or require more features, so we'll be sticking to our current 
version for another while.

Regards,
Martin

On 17.04.2015 04:37, hossein talaiee via USRP-users wrote:
> I noticed that UHD.dll file linked dynamicly against VS C++ run-time
> library that make this dll needy of VS-C-Runtime installation to work,
> and I wonder why?
> Why when we can do it staticly and have an absolutely portable UHD driver!
>
> As a matter of fact, boost compile must be done with this option too
> that can be done with passing "runtime-link=static link=static" to b2
> command line of boost compile.
>
> Also, boost libraries updated now to 1.57 (1.58 also will be out very
> soon, they testing 1.58-RC version now), consider upgrading boost
> libraries in release version.






More information about the USRP-users mailing list